Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.move.generic
Class SwapMoveSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
              org.optaplanner.core.config.heuristic.selector.move.generic.SwapMoveSelectorConfig

    public class SwapMoveSelectorConfig

extends MoveSelectorConfig

Field Summary

Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

Constructor Summary
`SwapMoveSelectorConfig()`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`EntitySelectorConfig` | `getSecondaryEntitySelectorConfig()`
`List<String>` | `getVariableNameIncludeList()`
`void` | `inherit(SwapMoveSelectorConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setSecondaryEntitySelectorConfig(EntitySelectorConfig secondaryEntitySelectorConfig)`
`void` | `setVariableNameIncludeList(List<String> variableNameIncludeList)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, determineBaseRandomSelection, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inherit, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwapMoveSelectorConfig

    public SwapMoveSelectorConfig()

Method Detail

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getSecondaryEntitySelectorConfig

    public EntitySelectorConfig getSecondaryEntitySelectorConfig()

### setSecondaryEntitySelectorConfig

    public void setSecondaryEntitySelectorConfig(EntitySelectorConfig secondaryEntitySelectorConfig)

### getVariableNameIncludeList

    public List<String> getVariableNameIncludeList()

### setVariableNameIncludeList

    public void setVariableNameIncludeList(List<String> variableNameIncludeList)

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              boolean randomSelection)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
  Returns:
    never null

### inherit

    public void inherit(SwapMoveSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.